Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xerces.dom
Class ChildNode

    java.lang.Object
      |
      +--org.apache.xerces.dom.NodeImpl
            |
            +--org.apache.xerces.dom.ChildNode

Direct Known Subclasses:
  CharacterDataImpl, ParentNode

public abstract class ChildNode
extends NodeImpl

ChildNode inherits from NodeImpl and adds the capability of being a child by having references to its previous and next siblings.

See Also:
  Serialized Form

Field Summary
`protected ChildNode` | `nextSibling` Next sibling.
`protected ChildNode` | `previousSibling` Previous sibling.

Fields inherited from class org.apache.xerces.dom.NodeImpl
`ELEMENT_DEFINITION_NODE, FIRSTCHILD, flags, HASSTRING, IGNORABLEWS, OWNED, ownerNode, READONLY, SPECIFIED, SYNCCHILDREN, SYNCDATA, UNNORMALIZED`

Constructor Summary
`` | `ChildNode()` Constructor for serialization.
`protected` | `ChildNode(CoreDocumentImpl ownerDocument)` No public constructor; only subclasses of Node should be instantiated, and those normally via a Document's factory methods

Method Summary
`Node` | `cloneNode(boolean deep)` Returns a duplicate of a given node.
`Node` | `getNextSibling()` The next child of this node's parent, or null if none
`Node` | `getParentNode()` Returns the parent node of this node
`Node` | `getPreviousSibling()` The previous child of this node's parent, or null if none

Methods inherited from class org.apache.xerces.dom.NodeImpl
`addEventListener, appendChild, changed, changes, dispatchEvent, getAttributes, getChildNodes, getFirstChild, getLastChild, getLength, getLocalName, getNamespaceURI, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getPrefix, getReadOnly, getUserData, hasAttributes, hasChildNodes, insertBefore, isSupported, item, normalize, removeChild, removeEventListener, replaceChild, setNodeValue, setPrefix, setReadOnly, setUserData, synchronizeData, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### previousSibling

    protected ChildNode previousSibling

  Previous sibling.

### nextSibling

    protected ChildNode nextSibling

  Next sibling.

Constructor Detail

### ChildNode

    protected ChildNode(CoreDocumentImpl ownerDocument)

  No public constructor; only subclasses of Node should be instantiated, and those normally via a Document's factory methods

  Every Node knows what Document it belongs to.

### ChildNode

    public ChildNode()

  Constructor for serialization.

Method Detail

### cloneNode

    public Node cloneNode(boolean deep)

  Returns a duplicate of a given node. You can consider this a generic "copy constructor" for nodes. The newly returned object should be completely independent of the source object's subtree, so changes in one after the clone has been made will not affect the other.

  Note: since we never have any children deep is meaningless here, ParentNode overrides this behavior.

  Overrides:
    cloneNode in class NodeImpl
  See Also:
    `

    Example: Cloning a Text node will copy both the node and the text it contains.

    Example: Cloning something that has children -- Element or Attr, for example -- will _not_ clone those children unless a "deep clone" has been requested. A shallow clone of an Attr node will yield an empty Attr of the same name.

    NOTE: Clones will always be read/write, even if the node being cloned is read-only, to permit applications using only the DOM API to obtain editable copies of locked portions of the tree.

    `

### getParentNode

    public Node getParentNode()

  Returns the parent node of this node
  Overrides:
    getParentNode in class NodeImpl

### getNextSibling

    public Node getNextSibling()

  The next child of this node's parent, or null if none
  Overrides:
    getNextSibling in class NodeImpl

### getPreviousSibling

    public Node getPreviousSibling()

  The previous child of this node's parent, or null if none
  Overrides:
    getPreviousSibling in class NodeImpl

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2001 Apache XML Project. All Rights Reserved.